# Reserves

The funds received by the protocol, such as liquidity provider deposits or premiums, are stored in *reserves*. A *reserve* is a base contract that holds assets (USDC). We have two types of reserves: [eTokens](/ensuro-docs/smart-contracts/liquidity-pools.md) and [Premiums Accounts](/ensuro-docs/smart-contracts/premiums-accounts.md).

Each reserve might have an asset management strategy to get additional returns from the managed assets. This strategy, an additional implementation contract that runs with *delegatecall*, will invest the reserves' funds to get the returns and should be able to de-invest them when needed.

{% hint style="info" %}
An **asset management strategy** can be something as simple as a contract that deposits the USDC in AAVE, accruing the interests. When the funds are needed, the contract withdraws them from AAVE.

Other more aggressive or complex asset management strategies can be implemented, including using ERC-4626 vaults or asset management protocols like Enzyme Finance.
{% endhint %}

The returns coming from the asset management strategy will be treated differently depending on the specific reserve:

* **ETokens**: the yields of the asset management strategy generate an increase in the total supply, distributing the yield to all the LPs in proportion to their share of the liquidity pool.
* **Premiums Accounts**: in this case, the yields will have a treatment similar to the earned pure premiums precedence [explained here](/ensuro-docs/smart-contracts/premiums-accounts.md#pure-premiums).&#x20;

## Cash Movements

| Operation     | In/Out   | Source/Target                                                                                                                                                                                          |
| ------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| deposit       | In       | eToken                                                                                                                                                                                                 |
| withdraw      | Out      | eToken                                                                                                                                                                                                 |
| newPolicy     | In       | <ul><li>Ensuro Treasury</li><li>Partner</li><li>Premiums Account</li><li>Junior eToken</li><li>Senior eToken</li></ul><p>See <a href="/pages/wOMHXiXH3gpprupCeecL#premium-split">Premium Split</a></p> |
| resolvePolicy | Out      | <ol><li>Premiums Account</li><li>Junior eToken</li><li>Senior eToken</li></ol><p>See <a href="/pages/F6ne1g7HCW4iRgPWTzka#pure-premiums">precedence order</a>.</p>                                     |
| expirePolicy  | Internal | [Internal loan repayment](/ensuro-docs/smart-contracts/liquidity-pools.md#internal-loan-repayment) from Premiums Account --> eToken                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ensuro.co/ensuro-docs/smart-contracts/reserves.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
